OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.VertexProgram4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexProgram4 :: MonadIO m => m Bool
- gl_NV_vertex_program4 :: Bool
- pattern GL_VERTEX_ATTRIB_ARRAY_INTEGER_NV :: GLenum
- glGetVertexAttribIivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexAttribIuivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glVertexAttribI1iEXT :: MonadIO m => GLuint -> GLint -> m ()
- glVertexAttribI1ivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI1uiEXT :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexAttribI1uivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI2iEXT :: MonadIO m => GLuint -> GLint -> GLint -> m ()
- glVertexAttribI2ivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI2uiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI2uivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI3iEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> m ()
- glVertexAttribI3ivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI3uiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI3uivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI4bvEXT :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttribI4iEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glVertexAttribI4ivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI4svEXT :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttribI4ubvEXT :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttribI4uiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI4uivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI4usvEXT :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribIPointerEXT :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetNVVertexProgram4 :: MonadIO m => m Bool Source #

Is the NV_vertex_program4 extension supported?

gl_NV_vertex_program4 :: Bool Source #

Is the NV_vertex_program4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexProgram4` in those cases instead.

# Enums

pattern GL_VERTEX_ATTRIB_ARRAY_INTEGER_NV :: GLenum Source #

# Functions

glGetVertexAttribIivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

This command is an alias for `glGetVertexAttribIiv`.

glGetVertexAttribIuivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLuint | `params` pointing to `1` element of type `GLuint`.
-> m () |

This command is an alias for `glGetVertexAttribIuiv`.

glVertexAttribI1iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttribI1ivEXT`. This command is an alias for `glVertexAttribI1i`.

glVertexAttribI1ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `1` element of type `GLint`.
-> m () |

This command is an alias for `glVertexAttribI1iv`.

glVertexAttribI1uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttribI1uivEXT`. This command is an alias for `glVertexAttribI1ui`.

glVertexAttribI1uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `1` element of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttribI1uiv`.

glVertexAttribI2iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttribI2ivEXT`. This command is an alias for `glVertexAttribI2i`.

glVertexAttribI2ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `2` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttribI2iv`.

glVertexAttribI2uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttribI2uivEXT`. This command is an alias for `glVertexAttribI2ui`.

glVertexAttribI2uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `2` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttribI2uiv`.

glVertexAttribI3iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttribI3ivEXT`. This command is an alias for `glVertexAttribI3i`.

glVertexAttribI3ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttribI3iv`.

glVertexAttribI3uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttribI3uivEXT`. This command is an alias for `glVertexAttribI3ui`.

glVertexAttribI3uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `3` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttribI3uiv`.

glVertexAttribI4bvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

This command is an alias for `glVertexAttribI4bv`.

glVertexAttribI4iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttribI4ivEXT`. This command is an alias for `glVertexAttribI4i`.

glVertexAttribI4ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttribI4iv`.

glVertexAttribI4svEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttribI4sv`.

glVertexAttribI4ubvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

This command is an alias for `glVertexAttribI4ubv`.

glVertexAttribI4uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> GLuint | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttribI4uivEXT`. This command is an alias for `glVertexAttribI4ui`.

glVertexAttribI4uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttribI4uiv`.

glVertexAttribI4usvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

This command is an alias for `glVertexAttribI4usv`.

glVertexAttribIPointerEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

This command is an alias for `glVertexAttribIPointer`.